This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: brodieG <brodieG@users.noreply.github.com>
Date: Sat, 13 Aug 2022 18:46:12 +0000
Subject: [PATCH 1/1] handle ioctl.h for _WIN32


diff --git a/src/base/ossimApplicationUsage.cpp b/src/base/ossimApplicationUsage.cpp
index 1111111..2222222 100644
--- a/src/base/ossimApplicationUsage.cpp
+++ b/src/base/ossimApplicationUsage.cpp
@@ -11,7 +11,7 @@
 #include <ossim/base/ossimCommon.h>
 
 // To get console width for usage output:
-#ifdef _MSC_VER
+#if defined(_MSC_VER) || defined(_WIN32)
 #include <windows.h>
 #else
 #include <sys/ioctl.h>
@@ -99,7 +99,7 @@ void ossimApplicationUsage::getFormatedString(ossimString& str, const UsageMap&
       maxNumCharsInOptions = ossim::max(maxNumCharsInOptions,(unsigned int)citr->first.length());
    }
 
-#ifdef _MSC_VER
+#if defined(_MSC_VER) || defined(_WIN32)
    CONSOLE_SCREEN_BUFFER_INFO csbi;
    GetConsoleScreenBufferInfo(GetStdHandle(STD_OUTPUT_HANDLE), &csbi);
    unsigned int fullWidth = csbi.srWindow.Right - csbi.srWindow.Left;
